#--
# Glory to the _why!
#++

class Array

  # Partition an array into parts of given length.
  def / len
    inject([]) do |ary, x|
      ary << [] if [*ary.last].nitems % len == 0
      ary.last << x
      ary
    end
  end

end
